X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Having some problems with security certificates

Posted

Hello,

In some pages, e.g. Twitter, and pages that load FB comments sections, I'm having problems with the certificates and the pages won't load. I don't get an option to add an exception either, therefore I cannot access pages.

I have pasted the error details below. Here is some important info for you:

Version: 9.0.1 <-- Upgrading is NOT an option, this is a corporate machine Connect via proxy: yes

I doubt very much that this is an issue with the connection, as IE and Chrome are NOT having this issue on the same connection.


Error I get:

This Connection is Untrusted



         You have asked Firefox to connect securely to twitter.com, but we can't confirm that your connection is secure.
         Normally, when you try to connect securely, sites will present trusted identification to prove that you are going to the right place. However, this site's identity can't be verified.
       
       
       
         What Should I Do?
         
           If you usually connect to this site without problems, this error could mean that someone is

trying to impersonate the site, and you shouldn't continue.

          Technical Details
         twitter.com uses an invalid security certificate.

The certificate is not trusted because the issuer certificate is not trusted.

(Error code: sec_error_untrusted_issuer)


Can anyone shed some light? The usual troubleshooting I've come across hasn't helped me much.

Modified by chrisjfinlay

Additional System Details

Installed Plug-ins

  • Google Update
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • 5.1.10411.0
  • ActiveTouch General Plugin Container Version 105
  • Shockwave Flash 10.3 r181
  • Default Plug-in
  • Adobe Shockwave for Director Netscape plug-in, version 11.6
  • Adobe PDF Plug-In For Firefox and Netscape "9.4.5"
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Citrix ICA Client Plugin (Win32)
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • DRM Store Netscape Plugin
  • Npdsplay dll
  • DRM Netscape Network Object
  • 1.6.0028.0
  • Office Plugin for Netscape Navigator
  • Macromedia Authorware Web Player Netscape plug-in, version 2004

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.1; rv:9.0.1) Gecko/20100101 Firefox/9.0.1

More Information

Application Basics
Name
Firefox
Version
9.0.1
User Agent
Mozilla/5.0 (Windows NT 5.1; rv:9.0.1) Gecko/20100101 Firefox/9.0.1
Profile Directory
Open Containing Folder
Enabled Plugins
about:plugins
Build Configuration
about:buildconfig
Crash Reports
about:crashes
Memory Use
about:memory
Extensions
Name
Version
Enabled
ID
Adblock Plus
2.2.1
true
{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}
British English Dictionary
1.19.1
true
en-GB@dictionaries.addons.mozilla.org
DevSwitcher
2.5.1
true
devswitcher@stevenmcintosh.co.uk
Firebug
1.9.2
true
firebug@software.joehewitt.com
FireShot
0.98.16
true
{0b457cAA-602d-484a-8fe7-c1d894a011ba}
Html Validator
0.9.5.1
true
{3b56bcc7-54e5-44a2-9b44-66c3ef58c13e}
NetVideoHunter
1.9.4
true
netvideohunter@netvideohunter.com
TableTools2
1.17
true
tabletools2@mingyi.org
URL Swap
0.9.3
true
urlswap@autreplanete.com
Web Developer
1.2.2
true
{c45c406e-ab73-11d8-be73-000a95be3b12}
Java Console
6.0.32
false
{CAFEEFAC-0016-0000-0032-ABCDEFFEDCBA}
Java Quick Starter
1.0
false
jqs@sun.com
LogMeIn, Inc. Remote Access Plugin
1.0.0.664
false
LogMeInClient@logmein.com
Microsoft .NET Framework Assistant
1.2.1
false
{20a82645-c095-46ed-80e3-08825760534b}
Modified Preferences
Name
Value
accessibility.typeaheadfind
true
accessibility.typeaheadfind.flashBar
0
browser.history_expire_days.mirror
180
browser.places.importBookmarksHTML
false
browser.places.smartBookmarksVersion
2
browser.startup.homepage
https://tools1.csr.pstars:5556/admin/index.shtml
browser.startup.homepage_override.buildID
20111220165912
browser.startup.homepage_override.mstone
rv:9.0.1
dom.disable_window_move_resize
true
dom.max_script_run_time
1800
extensions.lastAppVersion
9.0.1
general.useragent.extra.microsoftdotnet
( .NET CLR 3.5.30729; .NET4.0E)
network.cookie.prefsMigrated
true
places.database.lastMaintenance
1357724458
places.history.expiration.transient_current_max_pages
80092
places.history.expiration.transient_optimal_database_size
128146964
places.last_vacuum
1325251937
print.print_printer
\\iomps01.csr.pstars\IOMPRN16
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_bgcolor
false
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_bgimages
false
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_command
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_downloadfonts
false
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_edge_bottom
0
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_edge_left
0
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_edge_right
0
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_edge_top
0
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_evenpages
true
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_footercenter
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_footerleft
&PT
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_footerright
&D
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_headercenter
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_headerleft
&T
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_headerright
&U
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_in_color
true
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_margin_bottom
0.5
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_margin_left
0.5
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_margin_right
0.5
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_margin_top
0.5
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_oddpages
true
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_orientation
0
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_pagedelay
500
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_paper_data
9
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_paper_height
11.00
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_paper_size_type
0
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_paper_size_unit
1
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_paper_width
8.50
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_reversed
false
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_scaling
1.00
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_shrink_to_fit
true
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_to_file
false
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_unwriteable_margin_bottom
0
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_unwriteable_margin_left
0
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_unwriteable_margin_right
0
print.printer_\\iomps01.csr.pstars\IOMPRN16.print_unwriteable_margin_top
0
privacy.cpd.cookies
false
privacy.cpd.downloads
false
privacy.cpd.formdata
false
privacy.cpd.history
false
privacy.cpd.sessions
false
privacy.sanitize.migrateFx3Prefs
true
privacy.sanitize.timeSpan
0
security.disable_button.openCertManager
false
security.disable_button.openDeviceManager
false
security.enable_java
true
security.warn_viewing_mixed
false
Graphics
Adapter Description
NVIDIA NVS 3100M
Vendor ID
10de
Device ID
0a6c
Adapter RAM
Unknown
Adapter Drivers
nv4_disp
Driver Version
6.14.12.6128
Driver Date
12-4-2010
Adapter RAM (GPU #2)
Unknown
Adapter Drivers (GPU #2)
Unknown
WebGL Renderer
Google Inc. -- ANGLE (NVIDIA NVS 3100M) -- OpenGL ES 2.0 (ANGLE 0.0.0.809)
GPU Accelerated Windows
1/1 Direct3D 9

Question owner

Additionally, I have tried in FF safe mode, and get the same result, so it's not an add-on etc issue.

smo 45 solutions 498 answers

Off the cuff it smells of a man-in-the-middle situation to me. As far as I know, Twitter does have a valid certificate, signed by Verisign. That IE and Chrome have no problem with it, could just mean they do not check resp. do let you know.

I'll have to pass here, because I would not know, how to turn this checking off in FX 9.0 - in any case I would think twice before doing it. The place to look would be Options > advanced > Encryption.

Hope somebody else joins us:)

PS: keeping you nailed down to Fx 9.0 version is unsafe - not just for you, but for your company as well.

Modified by smo

Question owner

Hi Smo;

Thanks for the reply. I can't see anything in there that would help. I tried turning off validating against the OSCP to no avail.

And yes, I know. Blame our IT department :P